Page MenuHomePhabricator

Enable Special:Import for administrator in Bengali Wikipedia
Closed, ResolvedPublic

Description

Pleease Enable Special:Import for administrator in Bengali Wikipedia.

Jayanta
sysop, bnwiki
User:jayantanth


Version: unspecified
Severity: enhancement
URL: http://bn.wikipedia.org

Details

Reference
bz34791

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 12:10 AM
bzimport set Reference to bz34791.

When I Open the 'Special:Import' page, I see this:No transwiki import sources
have been defined and direct history uploads are disabled.

Hi have any queries on this?

Hi have any queries on this?

Created attachment 10160
Import

Attached:

demon added a comment.Mar 2 2012, 2:51 PM

Please link to a local community discussion where consensus to add import sources exists (as well as which import sources to add).

Direct history uploads are disabled on all WMF wikis.

Hydriz added a comment.Mar 2 2012, 3:01 PM

(In reply to comment #5)

Direct history uploads are disabled on all WMF wikis.

That is not really true, some wikis have it enabled...

demon added a comment.Mar 2 2012, 3:09 PM

My mistake. In any case, there still needs to be on-wiki consensus for changes here.

I can start local community discussion regarding this matter, but I only want this for administrator/syspos only. we/I need it for Special:Import from enwiki mostly. strengly Bug 31185 fix without local community discussion!

demon added a comment.Mar 2 2012, 3:26 PM

That doesn't look fixed, actually.

There should be community consensus for these types of changes.

Ok, Bug 31185 not fixed but status is fixed
Although, I shall start local community discussion regarding this matter.

The updated link of the discussion and community consensus is here: http://bn.wikipedia.org/wiki/wp:vp#enable-import ; I think you can go with processing the bug. Bureaucrats should be able to grant and remove import flags to non-admins per local policy. Thanks!

Hi have any further queries on this?

Reedy added a comment.Apr 12 2012, 4:55 PM

Import is already enabled.

'crats can now add/remove import...

Nothing further has been requested

When I Open the 'Special:Import' page, I see this message again :"No transwiki import sources have been defined and direct history uploads are disabled."

Reedy added a comment.Apr 17 2012, 3:30 PM

(In reply to comment #15)

When I Open the 'Special:Import' page, I see this message again :"No transwiki
import sources have been defined and direct history uploads are disabled."

I don't get that,

You've also not said which wikis you want to be able to import from Import pages from other wikis (import)

(In reply to comment #16)

As per this page http://bn.wikipedia.org/wiki/special:ListGroupRights, Admin
should import.

They can.

(In reply to comment #17)

(In reply to comment #15)

When I Open the 'Special:Import' page, I see this message again :"No transwiki
import sources have been defined and direct history uploads are disabled."

I don't get that,

Please look Bug 6071 and Bug 31185 and http://en.wikipedia.org/wiki/MediaWiki_talk:Importnosources

You've also not said which wikis you want to be able to import from Import
pages from other wikis (import)

Specially we need to import from Enwiki (en.wikipedia.org).

(In reply to comment #16)

As per this page http://bn.wikipedia.org/wiki/special:ListGroupRights, Admin
should import.

They can.

We still not can

Off topic: How Bug 31185 fixed without local community consensus? Are there any any different policy for Oriya/odia wikipedia?

Please fix this bug...I don't know what is the big issue to fixed this.

Please fix this bug... we have to import lots of Template from enwiki, otherwise we have to create manually copy and paste. Please help us. Please help help.............

Thehelpfulonewiki wrote:

I've committed this in gerrit, https://gerrit.wikimedia.org/r/#/c/7133/ - awaiting approval. Yay first commit!

(In reply to comment #22)

And done,
https://gerrit.wikimedia.org/r/#/c/7133/2/wmf-config/InitialiseSettings.php,unified

Thank you all, but where are "upload import: import a file in a special XML format produced by exporting pages from en wiki?" I want to import XML format produced by exporting pages from en wiki, but there are no option to upload XML format in Special:Import in Bengali Wikipedia.

Reedy added a comment.May 10 2012, 5:11 AM

Created attachment 10573
Image

There's no reason for you to export to XML from enwiki to then import.

You can use transwiki import.

But both are enabled, see the image

Attached:

Created attachment 10574
Import with Transwiki import and no upload XML data

Thank you, I can see the image you have uploaded, Thats fine with upload XML data.

I don't know what is the problem with me!!! in Special:import page there are no upload XML data section , please find the attachment file.

Attached:

Reedy added a comment.May 10 2012, 6:28 AM

Which user groups are you in?

You need the importupload right, I think

I am in "administrator" Group, and I think I have to got "importer" rights then I can use both "importupload" and "import" as per https://en.wikipedia.org/wiki/Special:ListGroupRights, it means administrator cant access "importupload", they can access only "import" flag. Even Bureaucrats cant add "importer" group. So who can do this?

Reedy added a comment.May 10 2012, 4:27 PM

https://bn.wikipedia.org/wiki/%E0%A6%AC%E0%A6%BF%E0%A6%B6%E0%A7%87%E0%A6%B7:ListGroupRights

Bureaucrats
(list of members)
Not be affected by rate limits (noratelimit)
Override the spoofing checks (override-antispoof)
Rename users (renameuser)
Add groups: Importers, Administrators, Bureaucrats, Bots and Reviewers
Remove groups: Importers, Bots and Reviewers

MarcoAurelio edited projects, added Bengali-Sites; removed Shell.Dec 13 2016, 10:14 AM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptDec 13 2016, 10:14 AM